/* Copyright (C) 2003 Datapark corp. All rights reserved.
   Copyright (C) 2000-2002 Lavtech.com corp. All rights reserved.

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA 
*/

#ifndef DPS_UNICODE_H
#define DPS_UNICODE_H

extern __C_LINK size_t __DPSCALL DpsUniLen(register const int * u);
int    DpsUniStrCmp(register const int * s1, register const int * s2);
int    DpsUniStrBCmp(const int *s1, const int *s2);
int    DpsUniStrBNCmp(const int *s1, const int *s2, size_t count);
int    DpsUniStrNCaseCmp(const int * s1,const int * s2,size_t len);

int   *DpsUniStrCpy(int *dst, const int *src);
int   *DpsUniStrNCpy(int *dst, const int *src, size_t len);
int   *DpsUniStrCat(int *s, const int *append);
int   *DpsUniDup(const int * s);
int   *DpsUniNDup(const int * s, size_t len);
int   *DpsUniAccentStrip(const int *s);

#endif
